/*-
 * Copyright (c) 2007
 * Tatsuya Kudoh(CDR/TK),ROYALPANDA.    All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

package{
	import flash.display.*;
	import flash.events.*;
	import flash.geom.*;
	import flash.text.*;
	import flash.utils.*;

	public class Label extends Sprite {
		public var color1:uint;
		public var color2:uint;
		public var size:Number;
		public var text:String;
		public var font:String;

		protected var textField:TextField;
		protected var textShadow:TextField;

		public function Label( aText:String, aColor1:uint = 0xffffff, aColor2:uint = 0x000000, aSize:Number = 12, aFont:String = "_" ):void {
			color1 = aColor1;
			color2 = aColor2;
			size = aSize;
			text = aText;
			font = aFont;

			textShadow = new TextField();
			textShadow.autoSize = TextFieldAutoSize.LEFT;
			textShadow.selectable = false;
			addChild(textShadow);
			textShadow.x = 2;

			textField = new TextField();
			textField.autoSize = TextFieldAutoSize.LEFT;
			textField.selectable = false;
			addChild(textField);

			draw();
		}

		public function draw():void {
			textField.defaultTextFormat = new TextFormat(font, size, color1, true);
			textField.text = text;
			textShadow.defaultTextFormat = new TextFormat(font, size, color2, true);
			textShadow.text = text;
		}
	}
}
